import * as React from 'react';
import Slider from "@mui/material/Slider";
import Typograpy from "@mui/material/Typography";
import {UniformSet} from "./uniform";

export function MenuBar(prop:{u:UniformSet,onUniformChange:(u:UniformSet)=>void}){
    const [uniform,setUniform] = React.useState(prop.u);
    const onRedChange = (_,v)=>{
        setUniform({...uniform,redcolor:v/100});
    };
    React.useEffect(()=>{
        prop.onUniformChange(uniform);
    })
    const a = uniform.redcolor*100;
    return (<div>
        <Typograpy variant="h4">Uniform</Typograpy>
        <Slider aria-label="Small" valueLabelDisplay="auto" onChange={onRedChange} value={a}></Slider>
    </div>);
}